Public Attributes | List of all members
gap_max_data_len_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Connection Control » Structures

Max data length info struct. More...

`#include <ble_gapc.h>`

## Public Attributes
uint16_t | suppted_max_tx_octets
| Maximum number of payload octets that the local Controller supports for transmission of a single Link Layer packet on a data connection. More...
uint16_t | suppted_max_tx_time
| Maximum time, in microseconds, that the local Controller supports for transmission of a single Link Layer packet on a data connection. More...
uint16_t | suppted_max_rx_octets
| Maximum number of payload octets that the local Controller supports for reception of a single Link Layer packet on a data connection. More...
uint16_t | suppted_max_rx_time
| Maximum time, in microseconds, that the local Controller supports for reception of a single Link Layer packet on a data connection. More...

## Detailed Description

Max data length info struct.

Definition at line 238 of file ble_gapc.h.

## Member Data Documentation

## ◆ suppted_max_rx_octets

uint16_t gap_max_data_len_t::suppted_max_rx_octets

Maximum number of payload octets that the local Controller supports for reception of a single Link Layer packet on a data connection.

Range: 0x001B-0x00FB (all other values reserved for future use).

Definition at line 244 of file ble_gapc.h.

## ◆ suppted_max_rx_time

uint16_t gap_max_data_len_t::suppted_max_rx_time

Maximum time, in microseconds, that the local Controller supports for reception of a single Link Layer packet on a data connection.

Range: 0x0148-0x4290 (all other values reserved for future use).

Definition at line 246 of file ble_gapc.h.

## ◆ suppted_max_tx_octets

uint16_t gap_max_data_len_t::suppted_max_tx_octets

Maximum number of payload octets that the local Controller supports for transmission of a single Link Layer packet on a data connection.

Range: 0x001B-0x00FB (all other values reserved for future use).

Definition at line 240 of file ble_gapc.h.

## ◆ suppted_max_tx_time

uint16_t gap_max_data_len_t::suppted_max_tx_time

Maximum time, in microseconds, that the local Controller supports for transmission of a single Link Layer packet on a data connection.

Range: 0x0148-0x4290 (all other values reserved for future use).

Definition at line 242 of file ble_gapc.h.

The documentation for this struct was generated from the following file:

- ble_gapc.h